RDKit::MolStandardize::TautomerScoringFunctions Namespace Reference

## Functions

RDKIT_MOLSTANDARDIZE_EXPORT int | scoreRings (const ROMol &mol)
RDKIT_MOLSTANDARDIZE_EXPORT int | scoreSubstructs (const ROMol &mol)
RDKIT_MOLSTANDARDIZE_EXPORT int | scoreHeteroHs (const ROMol &mol)
int | scoreTautomer (const ROMol &mol)

## Variables

const std::string | tautomerScoringVersion = "1.0.0"

## Function Documentation

## scoreHeteroHs()

RDKIT_MOLSTANDARDIZE_EXPORT int RDKit::MolStandardize::TautomerScoringFunctions::scoreHeteroHs | ( | const ROMol & | mol | ) |

Referenced by scoreTautomer().

## scoreRings()

RDKIT_MOLSTANDARDIZE_EXPORT int RDKit::MolStandardize::TautomerScoringFunctions::scoreRings | ( | const ROMol & | mol | ) |

Referenced by scoreTautomer().

## scoreSubstructs()

RDKIT_MOLSTANDARDIZE_EXPORT int RDKit::MolStandardize::TautomerScoringFunctions::scoreSubstructs | ( | const ROMol & | mol | ) |

Referenced by scoreTautomer().

## scoreTautomer()

int RDKit::MolStandardize::TautomerScoringFunctions::scoreTautomer | ( | const ROMol & | mol | ) |

inline

Definition at line 42 of file MolStandardize/Tautomer.h.

References scoreHeteroHs(), scoreRings(), and scoreSubstructs().

## Variable Documentation

## tautomerScoringVersion

const std::string RDKit::MolStandardize::TautomerScoringFunctions::tautomerScoringVersion = "1.0.0"

Definition at line 36 of file MolStandardize/Tautomer.h.